<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
<plist version="1.0">
<dict>
	<key>Label</key>
	<string>WALNUT</string>
	<key>ProgramArguments</key>
	<array>
		<string>/usr/local/bin/node</string>
		<string>/srv/walnut/core/bin/walnut.js</string>
		<string>--config</string>
		<string>/etc/walnut/walnut.yml</string>
	</array>
	<key>EnvironmentVariables</key>
	<dict>
		<key>WALNUT_PATH</key>
    <string>/opt/walnut</string>
	</dict>

	<key>UserName</key>
	<string>root</string>
	<key>GroupName</key>
	<string>wheel</string>
	<key>InitGroups</key>
	<true/>

	<key>RunAtLoad</key>
	<true/>
	<key>KeepAlive</key>
	<dict>
		<key>Crashed</key>
		<true/>
		<key>SuccessfulExit</key>
		<false/>
	</dict>

	<key>SoftResourceLimits</key>
	<dict>
		<key>NumberOfFiles</key>
		<integer>8192</integer>
	</dict>
	<key>HardResourceLimits</key>
	<dict/>

	<key>WorkingDirectory</key>
  <string>/srv/www</string>

	<key>StandardErrorPath</key>
	<string>/var/log/walnut/error.log</string>
	<key>StandardOutPath</key>
	<string>/var/log/walnut/info.log</string>
</dict>
</plist>
